package com.jasamedika.medifirst2000.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.converter.KonsepDiriConverter;
import com.jasamedika.medifirst2000.dao.AntrianPasienDiPeriksaDao;
import com.jasamedika.medifirst2000.dao.KonsepDiriDao;
import com.jasamedika.medifirst2000.entities.AntrianPasienDiPeriksa;
import com.jasamedika.medifirst2000.entities.KonsepDiri;
import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.KonsepDiriService;
import com.jasamedika.medifirst2000.util.CommonUtil;
import com.jasamedika.medifirst2000.vo.KonsepDiriVO;

/**
 * Implement class for KonsepDiriService
 * 
 * @author Askur
 */
@Service("KonsepDiriService")
public class KonsepDiriServiceImpl implements KonsepDiriService {
	@Autowired
	private KonsepDiriDao KonsepDiriDao;
	@Autowired
	private AntrianPasienDiPeriksaDao antrianPasienDiPeriksaDao;
	@Autowired
	private KonsepDiriConverter KonsepDiriConverter;
	
	@Override
	public Map<String,Object> addKonsepDiri(KonsepDiriVO vo) throws JpaSystemException, ServiceVOException {
		Map<String,Object> result=new HashMap<String,Object>();
		KonsepDiri model=KonsepDiriConverter.transferVOToModel(vo, new KonsepDiri());
		AntrianPasienDiPeriksa pasienDaftar = antrianPasienDiPeriksaDao.findByNoRec(vo.getPasienDaftar().getNoRec());
		model.setPasienDaftar(pasienDaftar);
		KonsepDiri resultModel=KonsepDiriDao.save(model);
		if(CommonUtil.isNotNullOrEmpty(resultModel)){
			result.put("KonsepDiri", resultModel.getNoRec());
		}
		return result;
	}

	@Override
	public List<KonsepDiriVO> findAll() throws JpaSystemException {
		return null;
	}


	@Override
	public Object add(Object vo) throws JpaSystemException, ServiceVOException {
		return null;
	}

	@Override
	public Object update(Object vo) throws JpaSystemException, ServiceVOException {
		return null;
	}

	@Override
	public Boolean delete(Object key) throws JpaSystemException {
		return null;
	}

	@Override
	public Object findById(Object key) throws JpaSystemException {
		return null;
	}

	@Override
	public Map findAllWithPageAndLimitAndSortByAndDirectionParameter(Integer page, Integer limit, String sort,
			String dir) {
		return null;
	}


}
